import request from '@/utils/request'

// 查询调压箱管理列表
export function listPressureRegulatingBox(query) {
  return request({
    url: '/gas/pressureRegulatingBox/list',
    method: 'get',
    params: query
  })
}

// 查询调压箱管理详细
export function getPressureRegulatingBox(id) {
  return request({
    url: '/gas/pressureRegulatingBox/' + id,
    method: 'get'
  })
}

// 新增调压箱管理
export function addPressureRegulatingBox(data) {
  return request({
    url: '/gas/pressureRegulatingBox',
    method: 'post',
    data: data
  })
}

// 修改调压箱管理
export function updatePressureRegulatingBox(data) {
  return request({
    url: '/gas/pressureRegulatingBox',
    method: 'put',
    data: data
  })
}

// 删除调压箱管理
export function delPressureRegulatingBox(id) {
  return request({
    url: '/gas/pressureRegulatingBox/' + id,
    method: 'delete'
  })
}
